Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.control
Class C_Human

    java.lang.Object
      de.farafin.snEADy.player.Player
          de.farafin.snEADy.control.C_Human

All Implemented Interfaces:
  PubConstants, java.io.Serializable

    public final class C_Human

extends Player

Version:
  $Revision: 1.8 $
Author:
  roland, lars TODO what does that class do?
See Also:
  Serialized Form

Field Summary
`private int` | `newDirection` new turndirection

Fields inherited from class de.farafin.snEADy.player.Player
`comment`

Fields inherited from interface de.farafin.snEADy.player.PubConstants
`EAST, EXIT, FREE, IN_ACTION, IN_EXIT, IN_HEAVEN, LENGTH, NORTH, PLAYER_0, PLAYER_1, PLAYER_2, PLAYER_3, PLAYER_4, PLAYER_5, PLAYER_6, PLAYER_7, PLAYER_8, PLAYER_9, POINTS, SHORTER, SLOWDOWN, SOUTH, SPEED, TURN_LEFT, TURN_NONE, TURN_RIGHT, WALL, WEST`

Constructor Summary
`C_Human()` default constructor

Method Summary
`void` | `calculate(GameInfo gInfo, LevelInfo lInfo, SnakeInfo[] sInfo, OwnSnakeInfo oInfo)` This is the method you should implement.
`void` | `setName(java.lang.String name)`
`void` | `setNewDirection(int newDirection)`

Methods inherited from class de.farafin.snEADy.player.Player
`getName, getTurnDirection, msDone, msLeft, say, sayNow, setMonitor, setTurnDirection, startCalculation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newDirection

    private int newDirection

  new turndirection

Constructor Detail

### C_Human

    public C_Human()

  default constructor

Method Detail

### setName

    public void setName(java.lang.String name)

  Overrides:
    `setName` in class `Player`
  Parameters:
    `name` - The name to set.

### calculate

    public void calculate(GameInfo gInfo,
                          LevelInfo lInfo,
                          SnakeInfo[] sInfo,
                          OwnSnakeInfo oInfo)

  Description copied from class: `Player`
  This is the method you should implement. Here it should be decided to which value turnDirection is set. This method will be called for each player in every game cycle.
  Diese Methode soll von euch implementiert werden. Es muss nur entschieden werden auf welchen Wert turnDirection gesetzt wird. Die Methode wird für jeden Spieler in jedem game Zyclus ein mal aufgerufen.

  Specified by:
    `calculate` in class `Player`
  Parameters:
    `gInfo` - game informations
    Spiel Informationen
    `lInfo` - level informations
    Level Informationen
    `sInfo` - an array of informations about all other snakes in the field.
    Ein Array von Informationen über alle anderen Spieler auf dem Spielfeld.
    `oInfo` - Informations about the own Snake
    Informationen über die eigene Schlange.
  See Also:
    `GameInfo`, `LevelInfo`, `SnakeInfo`, `OwnSnakeInfo`

### setNewDirection

    public void setNewDirection(int newDirection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD